{ pkgs, inputs, ... }:
{
  imports = [
    ../../common/encrypted-btrfs-layout.nix
    ../../common/global
    ../../common/cluster-member.nix
    ../../common/nomad-worker.nix
    ../../common/nfs-services-server.nix
    # To move NFS server role to another host:
    # 1. Follow procedure in docs/NFS_FAILOVER.md
    # 2. Replace above line with: ../../common/nfs-services-standby.nix
    # 3. Add nfsServicesStandby.replicationKeys with the new server's public key
    ./hardware.nix
  ];

  diskLayout = {
    mainDiskDevice = "/dev/disk/by-id/nvme-KIOXIA-EXCERIA_with_Heatsink_SSD_84GF7016FA4S";
    #keyDiskDevice = "/dev/disk/by-id/usb-Intenso_Micro_Line_22080777660468-0:0";
    keyDiskDevice = "/dev/sda";
  };

  networking.hostName = "sparky";
  services.tailscaleAutoconnect.authkey = "tskey-auth-k6VC79UrzN11CNTRL-rvPmd4viyrQ261ifCrfTrQve7c2FesxrG";

  nfsServicesServer.standbys = [ "c1" ];
}
